NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Tooling.BlankLayoutBuilder Class Reference

Progressive Die Wizard blank layout builder More...

Inheritance diagram for NXOpen.Tooling.BlankLayoutBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  LeftRightSideOption { Average, Left, Right }
 Specifies the option of left right side type. More...
 
enum  SideWebOption { Average, Bottom, Top }
 Specifies the option of side webs type. More...
 
enum  SnapSizeOption {
  Tenth, Fifth, Half, One,
  Two, Five, Ten
}
 Specifies the option of snap size. More...
 
enum  Types {
  CreateLayout, AddBlank, CopyBlank, RemoveBlank,
  SetBasePoint, FlipBlank
}
 Specifies the option of blank layout type. More...
 

Public Member Functions

unsafe void InsertBlank (string blankName)
 Method that insert a blank that has not been inserted under UP_NEST. More...
 
unsafe void RepositionBottom ()
 Method that reposition the blanks after bottom. More...
 
unsafe void RepositionLeftDistance ()
 Method that reposition the blanks after modify left distance value. More...
 
unsafe void RepositionLeftRightSide ()
 Method that reposition the blanks after change average, left, right types. More...
 
unsafe void RepositionPitch ()
 Method that repostion the blanks after pitch. More...
 
unsafe void RepositionRightDistance ()
 Method that reposition the blanks after modify right distance value. More...
 
unsafe void RepositionRotate ()
 Method that reposition the blanks after rotate. More...
 
unsafe void RepositionShiftX ()
 Method that reposition the blanks after shiftX. More...
 
unsafe void RepositionShiftY ()
 Method that reposition the blanks after shiftY. More...
 
unsafe void RepositionSideWeb ()
 Method that reposition the blanks after sideWeb. More...
 
unsafe void RepositionTop ()
 Method that reposition the blanks after top. More...
 
unsafe void RepositionWidth ()
 Method that repostion the blanks after width. More...
 
unsafe void SetBoundingBox ()
 Method that set bounding box. More...
 
unsafe void SetItemValue ()
 Method that set bounding box. More...
 
unsafe void SetMaterialUtilization ()
 Method that set bounding box. More...
 
unsafe void UpdateBlankLayout ()
 Method that update the blank layout. More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.Point BasePoint [get, set]
 Returns or sets the base point. More...
 
unsafe NXOpen.SelectBody Blank [get]
 Returns the blank. More...
 
unsafe string BlankNameStr [get, set]
 Returns or sets the selected blank name. More...
 
unsafe double Bottom [get, set]
 Returns or sets the bottom boundary distance between blank and strip. More...
 
unsafe double LeftDistance [get, set]
 Returns or sets the left boudary distance between blank and strip. More...
 
unsafe
NXOpen.Tooling.BlankLayoutBuilder.LeftRightSideOption 
LeftRightSide [get, set]
 Returns or sets the type of use left or right side to decide the distance between blank and strip. More...
 
unsafe bool LockPitch [get, set]
 Returns or sets the option to lock the pitch value or not. More...
 
unsafe bool LockPitchAndWidth [get, set]
 Returns or sets the lock pitch and width values from being changed during processing. More...
 
unsafe bool LockRotate [get, set]
 Returns or sets the option to lock the rotate value or not. More...
 
unsafe bool LockShiftX [get, set]
 Returns or sets the option to lock the x value or not. More...
 
unsafe bool LockShiftY [get, set]
 Returns or sets the option to lock the y value or not. More...
 
unsafe bool LockWidth [get, set]
 Returns or sets the option to lock the width value or not. More...
 
unsafe string MaterialUtilization [get, set]
 Returns or sets the material utilization of the blank. More...
 
unsafe bool MinimumSpaceSize [get, set]
 Returns or sets the option to report minimum space size or not. More...
 
unsafe string MinimumSpaceSizeValue [get, set]
 Returns or sets the minimum distance between the adjacent blanks. More...
 
unsafe double Pitch [get, set]
 Returns or sets the distance between the adjacent stations. More...
 
unsafe double RightDistance [get, set]
 Returns or sets the right boundary distance between blank and strip. More...
 
unsafe double Rotate [get, set]
 Returns or sets the value to rotate the blank around the base point. More...
 
unsafe
NXOpen.Tooling.BlankLayoutBuilder.SideWebOption 
SideWeb [get, set]
 Returns or sets the type of the overlap on the strip. More...
 
unsafe
NXOpen.Tooling.BlankLayoutBuilder.SnapSizeOption 
SnapSize [get, set]
 Returns or sets the option to set the increment of the scale bar. More...
 
unsafe bool ThreeBlanks [get, set]
 Returns or sets the usage of three blanks or one blank. More...
 
unsafe double Top [get, set]
 Returns or sets the top boudary distance between blank and strip. More...
 
unsafe
NXOpen.Tooling.BlankLayoutBuilder.Types 
Type [get, set]
 Returns or sets the blank layout type. More...
 
unsafe double Width [get, set]
 Returns or sets the width of the strip. More...
 
unsafe double XShift [get, set]
 Returns or sets the value to shift the blank in the X direction. More...
 
unsafe double YShift [get, set]
 Returns or sets the value to shift the blank in the Y direction. More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Progressive Die Wizard blank layout builder

To create a new instance of this class, use NXOpen.Tooling.BlankLayoutCollection.CreateBlankLayoutBuilder

Default values.

Property Value

Bottom

0

LeftDistance

0

LeftRightSide

Average

LockPitch

0

LockPitchAndWidth

0

LockRotate

0

LockShiftX

0

LockShiftY

0

LockWidth

0

MinimumSpaceSize

0

Pitch

0

RightDistance

0

Rotate

0

SideWeb

Average

SnapSize

One

ThreeBlanks

0

Top

0

Width

0

XShift

0

YShift

0

Created in NX7.5.0

Member Enumeration Documentation

Specifies the option of left right side type.

Enumerator
Average 

the left right side type of average

Left 

the left side type

Right 

the right side type

Specifies the option of side webs type.

Enumerator
Average 

the side webs type of average

Bottom 

the side webs type of bottom

Top 

the side webs type of top

Specifies the option of snap size.

Enumerator
Tenth 

the snap size is 0.1

Fifth 

the snap size is 0.2

Half 

the snap size is 1/2

One 

the snap size is 1

Two 

the snap size is 2

Five 

the snap size is 5

Ten 

the snap size is 10

Specifies the option of blank layout type.

Enumerator
CreateLayout 

the type of create blank layout

AddBlank 

the type of add multiple blank

CopyBlank 

the type of copy blank

RemoveBlank 

the type of remove blank

SetBasePoint 

the type of set the base point of the blank

FlipBlank 

the type of flip blank

Member Function Documentation

unsafe void NXOpen.Tooling.BlankLayoutBuilder.InsertBlank ( string  blankName)
inline

Method that insert a blank that has not been inserted under UP_NEST.

Created in NX1899.0.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
blankName
unsafe void NXOpen.Tooling.BlankLayoutBuilder.RepositionBottom ( )
inline

Method that reposition the blanks after bottom.

Created in NX1899.0.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Tooling.BlankLayoutBuilder.RepositionLeftDistance ( )
inline

Method that reposition the blanks after modify left distance value.

Created in NX1899.0.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Tooling.BlankLayoutBuilder.RepositionLeftRightSide ( )
inline

Method that reposition the blanks after change average, left, right types.

Created in NX1899.0.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Tooling.BlankLayoutBuilder.RepositionPitch ( )
inline

Method that repostion the blanks after pitch.

Created in NX1899.0.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Tooling.BlankLayoutBuilder.RepositionRightDistance ( )
inline

Method that reposition the blanks after modify right distance value.

Created in NX1899.0.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Tooling.BlankLayoutBuilder.RepositionRotate ( )
inline

Method that reposition the blanks after rotate.

Created in NX1899.0.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Tooling.BlankLayoutBuilder.RepositionShiftX ( )
inline

Method that reposition the blanks after shiftX.

Created in NX1899.0.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Tooling.BlankLayoutBuilder.RepositionShiftY ( )
inline

Method that reposition the blanks after shiftY.

Created in NX1899.0.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Tooling.BlankLayoutBuilder.RepositionSideWeb ( )
inline

Method that reposition the blanks after sideWeb.

Created in NX1899.0.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Tooling.BlankLayoutBuilder.RepositionTop ( )
inline

Method that reposition the blanks after top.

Created in NX1899.0.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Tooling.BlankLayoutBuilder.RepositionWidth ( )
inline

Method that repostion the blanks after width.

Created in NX1899.0.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Tooling.BlankLayoutBuilder.SetBoundingBox ( )
inline

Method that set bounding box.

Created in NX1899.0.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Tooling.BlankLayoutBuilder.SetItemValue ( )
inline

Method that set bounding box.

Created in NX1899.0.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Tooling.BlankLayoutBuilder.SetMaterialUtilization ( )
inline

Method that set bounding box.

Created in NX1899.0.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Tooling.BlankLayoutBuilder.UpdateBlankLayout ( )
inline

Method that update the blank layout.

Created in NX1899.0.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Property Documentation

unsafe NXOpen.Point NXOpen.Tooling.BlankLayoutBuilder.BasePoint
getset

Returns or sets the base point.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.SelectBody NXOpen.Tooling.BlankLayoutBuilder.Blank
get

Returns the blank.

Created in NX7.5.0

License requirements: None.

unsafe string NXOpen.Tooling.BlankLayoutBuilder.BlankNameStr
getset

Returns or sets the selected blank name.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Tooling.BlankLayoutBuilder.Bottom
getset

Returns or sets the bottom boundary distance between blank and strip.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Tooling.BlankLayoutBuilder.LeftDistance
getset

Returns or sets the left boudary distance between blank and strip.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Tooling.BlankLayoutBuilder.LeftRightSideOption NXOpen.Tooling.BlankLayoutBuilder.LeftRightSide
getset

Returns or sets the type of use left or right side to decide the distance between blank and strip.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Tooling.BlankLayoutBuilder.LockPitch
getset

Returns or sets the option to lock the pitch value or not.

Created in NX1872.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Tooling.BlankLayoutBuilder.LockPitchAndWidth
getset

Returns or sets the lock pitch and width values from being changed during processing.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Tooling.BlankLayoutBuilder.LockRotate
getset

Returns or sets the option to lock the rotate value or not.

Created in NX1872.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Tooling.BlankLayoutBuilder.LockShiftX
getset

Returns or sets the option to lock the x value or not.

Created in NX1872.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Tooling.BlankLayoutBuilder.LockShiftY
getset

Returns or sets the option to lock the y value or not.

Created in NX1872.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Tooling.BlankLayoutBuilder.LockWidth
getset

Returns or sets the option to lock the width value or not.

Created in NX1872.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe string NXOpen.Tooling.BlankLayoutBuilder.MaterialUtilization
getset

Returns or sets the material utilization of the blank.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Tooling.BlankLayoutBuilder.MinimumSpaceSize
getset

Returns or sets the option to report minimum space size or not.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe string NXOpen.Tooling.BlankLayoutBuilder.MinimumSpaceSizeValue
getset

Returns or sets the minimum distance between the adjacent blanks.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Tooling.BlankLayoutBuilder.Pitch
getset

Returns or sets the distance between the adjacent stations.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Tooling.BlankLayoutBuilder.RightDistance
getset

Returns or sets the right boundary distance between blank and strip.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Tooling.BlankLayoutBuilder.Rotate
getset

Returns or sets the value to rotate the blank around the base point.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Tooling.BlankLayoutBuilder.SideWebOption NXOpen.Tooling.BlankLayoutBuilder.SideWeb
getset

Returns or sets the type of the overlap on the strip.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Tooling.BlankLayoutBuilder.SnapSizeOption NXOpen.Tooling.BlankLayoutBuilder.SnapSize
getset

Returns or sets the option to set the increment of the scale bar.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Tooling.BlankLayoutBuilder.ThreeBlanks
getset

Returns or sets the usage of three blanks or one blank.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Tooling.BlankLayoutBuilder.Top
getset

Returns or sets the top boudary distance between blank and strip.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Tooling.BlankLayoutBuilder.Types NXOpen.Tooling.BlankLayoutBuilder.Type
getset

Returns or sets the blank layout type.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Tooling.BlankLayoutBuilder.Width
getset

Returns or sets the width of the strip.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Tooling.BlankLayoutBuilder.XShift
getset

Returns or sets the value to shift the blank in the X direction.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Tooling.BlankLayoutBuilder.YShift
getset

Returns or sets the value to shift the blank in the Y direction.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.